Subject: Re: bug#21391: 24.5; `thing-at-point' should return a string

From: Eli Zaretskii <[email-masked]>
Date: Mon, 14 Nov 2016 18:44:12 +0200

> Date: Mon, 14 Nov 2016 08:24:30 -0800 (PST)
> From: Drew Adams <[email-masked]>
> Cc: [email-masked], [email-masked], [email-masked]
> 
> > > d> 2. Make `thing-at-point', as before, return just what the
> > >       firat `if' clause returns, if that clause is taken.
> > >       IOW, move the removal of text properties (from non-nil
> > >       NO-PROPERTIES) into the second `if' clause.
> > 
> > Why would we want to do that?  AFAIU, it would require the function
> > that is the value of the thing-at-point property to second-guess
> > what the caller of thing-at-point wants, something it has no means to do.
> 
> Quite the contrary.  It gives the function that is the value of
> the property the ability to determine the return value.  Which
> is precisely the intended behavior of that property, from the
> start.

So you are saying that the function should control the caller, instead
of the other way around?  That makes very little sense to me, because
the function writer has no way of knowing the caller's intent.